Mantenimiento en sh20 y sh34

Esta noche, sobre las 0:30 del 3 de Enero, vamos a realizar una serie de mantenimientos en los servidor sh20 y sh34.

Los trabajos a realizar requerirán apagar los servidores, que estará fuera de servicio entre 20 y 30 minutos.

Lamentamos las molestias que os podamos ocasionar, pero son trabajos necesarios para garantizar la seguridad de los sistemas.

Mantenimiento de urgencia en sh16, sh17, sh18, sh19, sh20, sh21, sh22 y sh25

Por problemas en uno de los sistemas de almacenamiento de nuestra plataforma cloud, vamos a migrar los servidores de hosting sh16, sh17, sh18, sh19, sh20, sh21, sh22 y sh25 a un nuevo sistema de almacenamiento.

El sistema de almacenamiento presente problemas que parece relacionadas con un fallo de hardware a nivel de placa base, memoria o controladores. Dado que su identificación requerirá bastante tiempo, para minimizar el tiempo de indisponibilidad de servicio es mejor migrarlo todo a otro sistema de almacenamiento.

No hay riesgo de perdida de datos, pero si no llevamos a cabo la mencionada migración de datos es posible que lo haya en el futuro.

La migración de cada uno de los mencionados servidores requerirá de 30 a 45 minutos, tiempo durante el cual estarán fuera de servicio.

La ventana de mantenimiento la hemos definido entre las 23:00 del 6 de Marzo y las 7:00 del 7 de Marzo, en horario CET o GMT+1 (hora de Madrid).

Cambio de versión PHP predeterminada

El próximo lunes, 25 de Noviembre, vamos a hacer una serie de cambios importantes en la configuración PHP de nuestros servidores de hosting.

PHP

Por una parte, vamos cambiar la versión de PHP predeterminada en los sh13 a sh22, pasando de PHP 5.2 a PHP 5.3. El resto de servidores ya tienen PHP 5.3 como versión predeterminada, por lo que no sufrirán este cambio.

Por tanto, en los servidores sh13, sh14, sh15, sh16, sh17, sh18, sh19, sh20, sh21 y sh22, la mayoría de sitios web que actualmente están usando PHP 5.2 pasarán a usar PHP 5.3.

En principio, este cambio no generará problemas importantes, aunque es posible que algún sitio deje de funcionar. Estaremos atentos para detectar y corregir cualquier posible fallo, pero vosotros también deberías vigilar que todo siga funcionando como siempre.

¿Porque hacemos este cambio?

Por muchas razones:

  • Porque PHP 5.2 ya tiene unos cuantos años y conviene usar siempre una versión de PHP moderna.
  • Porque muchas de las aplicaciones que usáis funcionarían mejor con PHP 5.3, en lugar de 5.2.
  • Porque en breve queremos actualizar a MySQL 5.5 y ofrecer PHP 5.5, y para hacerlo debemos ir dejando atrás las versiones de PHP antiguas.

¿Y si quiero seguir usando PHP 5.2?

No hay problema, puedes seguir usándolo como hasta ahora. Eso sí, a no ser que fuerces a que tu aplicación o web use PHP 5.2, en el momento que hagamos el cambio tu web comenzará a usar PHP 5.3

Por tanto, si realmente quieres seguir usando PHP 5.2, debes seguir las indicaciones de la guía Definir PHP 5.2 como la versión pretederminada de PHP y establecer PHP 5.2 como tu versión predeterminada.

¿Me afecta esta actualización?

Si quieres saber si esta actuación de afectará, lo primero es saber en que servidor esta alojado tu web. Para saberlo, escribe tu dominio en la barra de direcciones de tu navegador seguido de /ip, tal y como se ve en la siguiente imagen:

¿En qué servidor estoy alojado?

Ve a esa dirección y verás un mensaje que dice algo como “Estas accediendo al servidor shXX”. Si el servicio que sale es alguno de los mencionados, entonces la actualización te afecta y deberías estar atento a posibles fallos.